﻿namespace Infragistics.Olap.Data.Adomd
{
    /// <summary>
    /// Use this class instances when levels are created in AdomdDataProvider.LoadDimensionsAsync(ICube)
    /// instead the instances of the base class.
    /// </summary>
	public class Level : Infragistics.Olap.Data.Xmla.SqlAnalysisServices2008.Level
	{
        /// <summary>
        /// Initializes a new instance of the <see cref="Level"/> class.
        /// </summary>
        /// <param name="name">The name of the level.</param>
        /// <param name="caption">The caption of the level.</param>
        /// <param name="uniqueName">The unique name of the level.</param>
        /// <param name="description">The description.</param>
        /// <param name="depth">The distance of the level from the root of the level. Root level is zero (0)</param>
        /// <param name="parentHierarchy">The parent hierarchy.</param>
        /// <param name="membersCount">The count of members of this level.</param>
	    public Level(string name, string caption, string uniqueName, string description, int depth, IHierarchy parentHierarchy, int membersCount) : 
            base(name, caption, uniqueName, description, depth, parentHierarchy)
	    {
	        this.MembersCount = membersCount;
	    }
	}
}
