﻿using Infragistics.Olap.Data.Xmla.Provider.SqlAnalysisServices2008;
namespace Infragistics.Olap.Data.Adomd
{

    /// <summary>
    /// Represents a member within a level
    /// </summary>
    public class Member : Infragistics.Olap.Data.Xmla.SqlAnalysisServices2008.Member
    {
        #region Constructor

        /// <summary>
        /// Initializes a new instance of the <see cref="Member"/> class.
        /// </summary>
        /// <param name="name">The name of the member.</param>
        /// <param name="uniqueName">The unique name of the member.</param>
        /// <param name="caption">The caption.</param>
        /// <param name="parentUniqueName">The unique name of the parent member.</param>
        /// <param name="levelName">The unique name of the parent level.</param>
        /// <param name="levelDepth">The level depth.</param>
        /// <param name="parentLevel">The parent level.</param>
        /// <param name="childCount">The child count.</param>
        /// <param name="drilledDown">Sets whether this member is drilled down.</param>
        /// <param name="parentSameAsPrevious">Sets whether the parent of this member is the same as the parent of the immediately preceding member.</param>
        /// <param name="isTotal">Sets whether this member is considered to be total.</param>        
        public Member(string name, string uniqueName, string caption, string parentUniqueName, string levelName, int levelDepth, ILevel parentLevel, int childCount, bool drilledDown, bool parentSameAsPrevious, bool isTotal)
            : base(name, uniqueName, caption, parentUniqueName, levelName, levelDepth, parentLevel, childCount, drilledDown, parentSameAsPrevious, isTotal)
        {
        }

        protected internal Member(string name, string uniqueName, string caption, string parentUniqueName, string levelName, int levelDepth, ILevel parentLevel, int childCount, bool drilledDown, bool parentSameAsPrevious, bool isTotal, int uniqueId)
            : base(name, uniqueName, caption, parentUniqueName, levelName, levelDepth, parentLevel, childCount, drilledDown, parentSameAsPrevious, isTotal, uniqueId)
        {
        }

        #endregion

        /// <summary>
        /// Gets a value indicating whether the children members are loaded in <see cref="Members"/> collection.
        /// </summary>
        /// <value>
        /// 	<c>true</c> if the children members are loaded; otherwise, <c>false</c>.
        /// </value>
        public new bool IsLoaded
        {
            get
            {
                return base.IsLoaded;
            }

            protected internal set
            {
                base.IsLoaded = value;
            }
        }
    }
}